The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.
Provisioning API (1.2.73)
Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.
Operations
Security
BasicAuth and BearerAuth and OAuth2Production
Path
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "id": "1a76b24e-bead-4c72-b468-6c3bdfff0ee6", "code": "S7yFqaKqJ8tsnBZH2CEd", "state": "APPROVED", "details": { "language": "EN", "messageType": "BASIC", "emphasizeType": "EMPHASIZE_TYPE_NONE", "categoryCode": "001001", "securityFlag": false, "name": "Example name", "content": "Example content", "extra": "Example extra", "ad": "Example ad", "title": "Example title", "subtitle": "Example subtitle", "imageName": "Example image name", "imageUrl": "https://example-image-url.com", "buttons": [ … ] }, "created": "2023-02-24T10:19:31.372Z", "modified": "2023-02-24T10:19:31.372Z" }
Security
BasicAuth and BearerAuth and OAuth2Production
Path
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Security
BasicAuth and BearerAuth and OAuth2Production
Path
Bodyapplication/jsonrequiredThe unique ID of the project. You can find this on the Sinch Dashboard.
Updating data
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- minimal
- full
curl -i -X PATCH \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "id": "1a76b24e-bead-4c72-b468-6c3bdfff0ee6", "code": "S7yFqaKqJ8tsnBZH2CEd", "changes": { "status": "IN_PROGRESS", "details": { … } }, "created": "2023-02-24T10:19:31.372Z", "modified": "2023-02-24T10:19:31.372Z" }